# Get a wallet limit policy

Get the specified wallet limit policy

Endpoint: GET /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits/{id}
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `vaultId` (string, required)
    The vault ID

  - `walletId` (string, required)
    The wallet ID

  - `id` (string, required)
    The wallet limit policy ID

## Response 200 fields (application/json):

  - `id` (string, required)
    The wallet limit policy ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The creator ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `walletId` (string, required)
    The wallet ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaultId` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `limitQty` (string)
    The limit quantity
    Example: "200.00"

  - `duration` (string)
    The limit duration
    Example: "200s"

  - `limitType` (string, required)
    Enum: "PER_TX", "CONSTANT", "ROLLING_DURATION"

  - `createdAt` (string, required)
    The date and time the wallet limit policy was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedAt` (string, required)
    The date and time the wallet limit policy was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `asset` (object, required)

  - `asset.id` (string, required)
    ID is unique across all blockchains and created by combining the blockchain ID, contract address, and symbol
    Example: "5:0xbehbehfb:USDC"

  - `asset.standard` (string, required)
    Enum: "NATIVE", "ERC20", "ISSUED_CURRENCY", "ERC721", "SPL", "CUSTOM"

  - `asset.symbol` (string, required)
    The currency symbol of the asset
    Example: "LINK"

  - `asset.name` (string)
    The human readable name of the asset
    Example: "Chainlink"

  - `asset.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `asset.decimals` (integer)
    Count of decimal places for the asset
    Example: 18

  - `asset.vetted` (boolean)
    Whether the asset is vetted on the regulated platform
    Example: true

  - `asset.enabled` (boolean)
    Whether the asset is currently enabled on the platform
    Example: true

  - `asset.contract` (string)
    The token contract address. This field will be empty if the asset is the native coin of the blockchain
    Example: "0x0b9d5D9136855f6FEc3c0993feE6E9CE8a297846e"

  - `asset.createdAt` (string, required)
    The date and time the asset was created
    Example: "2022-03-29T10:22:22.420Z"

  - `asset.updatedAt` (string)
    The date and time the asset was last updated
    Example: "2022-03-29T10:22:22.420Z"

  - `asset.organizationId` (string)
    Organization ID for custom assets

  - `asset.coingeckoId` (string)
    CoinGecko identifier for price data (optional for testnet assets)
    Example: "ethereum"

  - `asset.source` (string)
    Enum: "ASSET_SOURCE_LEGACY", "ASSET_SOURCE_AUTO", "ASSET_SOURCE_COINGECKO", "ASSET_SOURCE_PALISADE", "ASSET_SOURCE_CUSTOMER"

  - `asset.sourceMetadata` (object)

  - `asset.sourceMetadata.@type` (string)

  - `asset.lastSyncedAt` (string)
    When this asset was last synchronized
    Example: "2024-08-08T10:22:22.420Z"

  - `asset.syncVersion` (integer)
    Version counter for sync updates
    Example: 1

  - `asset.contractAddressChecksummed` (string)
    Checksummed version of the contract address
    Example: "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

  - `matchers` (array)

  - `matchers.type` (string, required)
    Enum: "USER", "API_CREDENTIAL", "COUNTERPARTY", "TRANSACTION_TYPE", "SIGN_FOR", "COUNTERPARTY_ID", "ADDRESS_ID", "WALLET_ID"

  - `matchers.value` (string)
    Comma seperated list of matcher values.

  - `matchers.values` (array)
    Matcher values.

  - `status` (string, required)
    Enum: "LIMIT_CREATED", "LIMIT_ENABLED", "LIMIT_REJECTED", "LIMIT_DELETED", "LIMIT_ERROR", "LIMIT_CREATION_APPROVAL_PENDING", "LIMIT_CREATION_APPROVAL_COMPLETE", "LIMIT_DELETION_APPROVAL_PENDING", "LIMIT_DELETION_APPROVAL_COMPLETE"

  - `active` (boolean, required)
    Whether the limit is active
    Example: true

  - `blockchain` (string)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)


